@echo off
REM Licensed Materials - Property of IBM Corp.
REM IBM UrbanCode Build
REM IBM UrbanCode Deploy
REM IBM UrbanCode Release
REM IBM AnthillPro
REM (c) Copyright IBM Corporation 2002, 2014. All Rights Reserved.
REM
REM U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
REM GSA ADP Schedule Contract with IBM Corp.

setlocal enabledelayedexpansion

set FIPS_OPT=
if "%1"=="-fips" set FIPS_OPT=-Dcom.ibm.jsse2.usefipsprovider=true

set OLD_JHOME=%JAVA_HOME%
:prompt
echo Enter the home directory for the JRE/JDK that the relay should use. Default [%JAVA_HOME%]:
set /p JAVA_HOME=

echo %JAVA_HOME%
call :empstr %JAVA_HOME%
IF %ERRORLEVEL% == 1 set JAVA_HOME=%OLD_JHOME%

call :empstr %JAVA_HOME%
IF %ERRORLEVEL% == 1 (
  echo Must specify a valid java home
  goto :prompt
)
set JAVA_HOME=!JAVA_HOME:"=!

cd %~dp0

set JAVACMD=%JAVA_HOME%/bin/java
"%JAVACMD%" %FIPS_OPT% -cp "install\*" org.mozilla.javascript.tools.shell.Main "install\install.js"

set JAVA_HOME=%OLD_JHOME%

goto :EOF

REM returns 1 if first argument is empty string. 0 otherwise
:empstr
  if "%~1" == "" exit /B 1
  exit /B 0
